package main

import (
	"info-manager-proxy/internal/config"
	"info-manager-proxy/internal/mock"
	"info-manager-proxy/internal/server"
)

var version = "v1.0.0-beta.1"

func main() {
	conf := config.LoadConfig()

	if conf.Grpc.Mock {
		go mock.StartGrpcServer()
	}

	server.StartHttpGateway(conf)
}
