package mock

import (
	"sync"
	"time"
)

var setUpOnce sync.Once

func SetUpGrpcServer() {
	setUpOnce.Do(func() {
		go StartGrpcServer()
		time.Sleep(time.Second) // Wait for the server to start
	})
}
